al_is_haptic_capable(3)

NAME

al_is_haptic_capable - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_is_haptic_capable(ALLEGRO_HAPTIC * hap, int query) {

DESCRIPTION

Returns true if the haptic device supports the feature indicated by the query parameter, false if the feature is not supported. The query parameter must be one of the values of ALLEGRO_HAPTIC_CONSTANTS(3).

SINCE

5.1.9

    [Unstable API]: Perhaps could be simplified due to limited support for all the exposed features across all of the platforms. Awaiting feedback from users.

SEE ALSO

al_get_haptic_capabilities(3)